/* to build:

   gcc -L../../build-library -lNuRV test.c

   to run:

   DYLD_LIBRARY_PATH=../../build-library ./a.out
 */
#include <stdio.h>

#include "m1.h"
#include "m1b.h"
#include "m1s.h"

int main(int argc, char **argv)
{
  m1_input_t input;
  RV_value output1 = RV_ERROR;
  RV_value output2 = RV_ERROR;
  RV_value output3 = RV_ERROR;
  int current_loc = 1;

  input.i = 145;
  input.k = b;
  input.l = b;
  output1 = m1_scalar(&input, NULL, NO_RESET, &current_loc);
  output2 = m1b_scalar((m1b_input_t *)&input, NULL, NO_RESET, NULL);
  output3 = m1s_scalar((m1s_input_t *)&input, NULL, NO_RESET, NULL);
  printf("%s | %s | %s\n",
         RV_value_string(output1),
         RV_value_string(output2),
         RV_value_string(output3));
  
  input.i = 145;
  input.k = b;
  input.l = b;
  output1 = m1_scalar(&input, NULL, NO_RESET, &current_loc);
  output2 = m1b_scalar((m1b_input_t *)&input, NULL, NO_RESET, NULL);
  output3 = m1s_scalar((m1s_input_t *)&input, NULL, NO_RESET, NULL);
  printf("%s | %s | %s\n",
         RV_value_string(output1),
         RV_value_string(output2),
         RV_value_string(output3));

  input.i = 155;
  input.k = b;
  input.l = b;
  output1 = m1_scalar(&input, NULL, NO_RESET, &current_loc);
  output2 = m1b_scalar((m1b_input_t *)&input, NULL, NO_RESET, NULL);
  output3 = m1s_scalar((m1s_input_t *)&input, NULL, NO_RESET, NULL);
  printf("%s | %s | %s\n",
         RV_value_string(output1),
         RV_value_string(output2),
         RV_value_string(output3));

  return 0;
}
